Subject: Re: [PATCH] ppc64: Thermal control for SMU based machines

From: Benjamin Herrenschmidt <[email-masked]>
Date: Mon, 14 Nov 2005 08:00:33 +1100

> > --- a/drivers/macintosh/Kconfig
> > +++ b/drivers/macintosh/Kconfig
> > @@ -169,6 +169,25 @@ config THERM_PM72
> >  	  This driver provides thermostat and fan control for the desktop
> >  	  G5 machines. 
> >  
> > +config WINDFARM
> > +	tristate "New PowerMac thermal control infrastructure"
> 
> Shouldn't this depend on some PowerMac-related variables, to prevent it from
> showing up on m68k?

Well, the windfarm core is not really platform specific at all ...
Christoph even proposed to move it to some more "common" place, though
as I said, I want to work on it a bit more before that happens.

Ben.